
<!doctype html>
<html>

<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="renderer" content="webkit">
<title>活动需求发布嵌入页</title>
<link
	href="/xzqyfw/resources/front/hdxqiframe/images/hanweb.css"
	rel="stylesheet">
<link
	href="/xzqyfw/resources/front/hdxqiframe/images/index.css"
	rel="stylesheet">
<script
	src="/xzqyfw/resources/front/hdxqiframe/images/jquery.js"></script>
<script
	src="/xzqyfw/resources/front/hdxqiframe/images/jquery.SuperSlide.2.1.1.js"></script>
<script
	src="/xzqyfw/resources/front/hdxqiframe/images/index.js"></script>


<script type="text/javascript">
	$(function() {
		if (typeof Array.prototype.forEach != 'function') {

			Array.prototype.forEach = function(callback) {

				for (var i = 0; i < this.length; i++) {

					callback.apply(this, [ this[i], i, this ]);

				}

			};

		}
	})

	$(function() {
		var data = new Object();

		var config = new Object();
		config.pageNum = 1;
		config.typeId = 0;
		config.areaId = 0;
		config.preTime = 3;/*0 是未结束  1是已结束   3是都有*/
		config.pageSize = 5;

		data.jsonString = JSON.stringify(config);
		$.ajax({
			url : 'https://www.xzsme.js.cn/xzhdfb/inithd/getHdPreList.do',
			type : 'post',
			dataType : 'json',
			data : data,
			async : false,
			success : function(result) {
				setList(result.params.hdList);
			}
		});
	})

	function setList(list) {
		$("#hd_list").html("");
		var html = "";
		var date = new Date();
		var nowtime = date.getTime();

		list
				.forEach(function(item) {
					var bmdate = new Date(Date.parse(item.hd_bmtime.replace(
							/-/g, "/")));
					var bmenddate = new Date(Date.parse(item.hd_bmendtime
							.replace(/-/g, "/")));
					var message = "";
					var type = "";
					var sty="";
					if (date < bmdate) {
						message = "报名未开始";
						type = "bmjs";
					} else if (date > bmenddate) {
						message = "报名已结束";
						type = "bmjs";
					} else {
						message = "我要报名";
						type = "wybm";
						sty="href='../inithd/hd_bm.do?hid="+item.hid+"' target='_blank'";
					}

					html += "<li><a href='../inithd/hd_detail.do?hid="+item.hid+"' target='_blank' title='"+item.hd_name+"'>";
					if(item.hd_name.length>43){
						html += item.hd_name.substr(0, 43)+"...";
					}else{
						html += item.hd_name;
					}
							html += "</a><span>活动时间：<i>"
							+ item.hd_hdtime.substr(0, 10)
							+ "</i></span><div class='"+type+"'><a "+sty+">"
							+ message + "</a></div></li>";

				});
		$("#hd_list").append(html);

	}

	// 初始需求列表页 
	$(function() {
		var data = new Object();
		var config = new Object();
		config.isLogin = 1; 
		config.pageNo = 1;
		config.name = "";
		config.area = 0;
		config.type = 0;
		config.subType = 0;
		config.pageSize = 5;
		data.jsonData = JSON.stringify(config);
		$.ajax({
			url : 'https://www.xzsme.js.cn/xzqyrz/demand/queryByConditions.do',
			type : 'post',
			dataType : 'json',
			data : data,
			async : false,
			success : function(result) {
				var list = result.params.results;
				/* var size = result.params.total_page; */
				var message = result.message;
				setXqList(list);
			}
		});
	})
	// 设置需求列表
	function setXqList(list) {
		$("#xq_list").html("");
		var html = "";
		var date = new Date();
		list
				.forEach(function(item) {
					html += "<li><a href='https://www.xzsme.js.cn/xzqyfw/demand/detail_show.do?iid="
							+ item.iid
							+ "'target='_blank' title='' ><img src='"+"https://www.xzsme.js.cn/xzqyrz"+item.picturePath+"' width='200px' height='160px'>";
							if(item.name.length>20){
								html +=item.name.substr(0, 20)+"...";
							}else{
								html +=item.name;
							} 
							html += "</a><div class='choose_local'>"
							+ item.areaName + "</div></li>";
				});
		$("#xq_list").append(html);
	}
</script>

</head>

<body>
	<div class="block5_1200">
		<div class="block5_tit">
			<ul class="clearfix">
				<li class="tit_on"><a href="/xzqyfw/inithd/hd_list.do" target="_parent">活动发布</a></li>
				<!--<li><a href="/xzqyfw/demand/list_show.do" target="_parent">需求发布</a></li>-->
				<li><a href="http://218.3.177.85/jyxx/tradeInfo.html" target="_parent">公共资源信息</a></li>
			</ul>
		</div>
		<div class="block5_list">
			<div class="hdfb_list">
				<ul id="hd_list">
				</ul>
			</div>
			<div class="xqfb_list hide">
				<ul class="clearfix" id="xq_list">
				</ul>
			</div>
		</div>
	</div>
	<!--content over-->
	<script>
		//		/*鼠标移过，左右按钮显示*/
		jQuery(".focusBox").hover(
				function() {
					jQuery(this).find(".prev,.next").stop(true, true).fadeTo(
							"show", 0.5)
				}, function() {
					jQuery(this).find(".prev,.next").fadeOut()
				});
		/*SuperSlide图片切换*/
		jQuery(".focusBox").slide({
			mainCell : ".pic",
			effect : "fold",
			autoPlay : true,
			delayTime : 600,
			trigger : "click"
		});
		$(function() {
			$('.headercon_middle').hover(function() {
				$(".menu").css({
					display : 'block'
				});

			}, function() {
				$(".menu").css({
					display : 'none'
				});

			})
		})
	</script>

	<!--footer begin-->
	<!--footer over-->
</body>

</html>